/* Fonts */
@import url('https://fonts.googleapis.com/css2?family=Dosis:wght@200..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* Icônes */
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");

/* GLOBAL STYLES */
:root {
    --clr-dark:#393939;
    --clr-dark2:#616161;
    --clr-light:#f1f1f1;
    --clr-light2:#FBFBFB;
    --clr-optigroup: #0355C2;
    --clr-optinet:#F37B24;
    --clr-optishop:#F5BF1F;
    --clr-optitech:#00C2F3;
    --clr-optimedia:#930DF2;
    --clr-opticall: #82C345;
    --clr-optisave: #EE3D7D;
}

*{
    font-family: "Dosis", sans-serif;
}

body, html{
    margin: 0;
    padding: 0;
    background-color: var(--clr-dark);
}

html { scroll-behavior: smooth; }

a:hover{
    text-decoration: none;
}

h1, h2, h3, h4, h5, h6{
    font-family: 'Poppins', sans-serif;
}

p{
    color: var(--clr-dark);
    font-size: 1.15rem;
    line-height: 1.75rem;
}

.box-shad{
    box-shadow: 4px 4px 2px rgba(78, 78, 78, 0.2);
}

/* Buttons */
.btn-sm, .btn-md, .btn-lg{
    transition: background-color 0.35s ease, color 0.35s ease;
}

.btn-sm{
    border: none;
    border-radius: 50px;
    font-weight:bold;
    padding: 0.5rem 0.75rem;
    font-size: 1rem;
}

.btn-md{
    border: none;
    border-radius: 50px;
    font-weight:bold;
    padding: 0.75rem 1.5rem;
    font-size: 1.25rem;
}

.btn-lg{
    border: none;
    border-radius: 50px;
    font-weight:bold;
    padding: 1.25rem 2.5rem;
    font-size: 1.5rem;;
}

/* Références des icônes : https://www.svgrepo.com/ */
.btn-icon {
  display: flex;
  align-items: center;
  overflow: hidden;
  position: relative;
  cursor: pointer;
}

.btn-icon .icon {
  background: white;
  margin-left: 1em;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 2.2em;
  width: 2.2em;
  border-radius: 50px;
  right: 0.3em;
  transition: all 0.3s;
}

.btn-icon:hover .icon {
  width: calc(100% - 0.6em);
}

.btn-icon .icon svg {
  width: 1.1em;
  transition: transform 0.3s;
  /*color: #7b52b9;*/
}

.btn-icon:hover .icon svg {
  transform: translateX(0.1em);
}

.btn-icon:active .icon {
  transform: scale(0.95);
}

.btn-lg-icon{
    border: none;
    border-radius: 50px;
    font-weight:bold;
    padding: 1.25rem 4.5rem 1.25rem 2rem;
    font-size: 1.5rem;;
}

.btn-optigroup{
    background-color: var(--clr-optigroup);
    color: var(--clr-light);
    border:1px solid var(--clr-optigroup);
}

.btn-optigroup:hover{
    color: var(--clr-optigroup) !important;
    border:1px solid var(--clr-optigroup);
    background-color: var(--clr-light);
}

.btn-optinet{
    background-color: var(--clr-optinet);
    color: var(--clr-light);
    border:1px solid var(--clr-optinet);
}

.btn-optinet:hover{
    background:var(--clr-light);
    color: var(--clr-optinet) !important;
    border:1px solid var(--clr-optinet);
}

.btn-optishop{
    background-color: var(--clr-optishop);
    color: var(--clr-light);
    border:1px solid var(--clr-optishop);
}

.btn-optishop:hover{
    background-color: var(--clr-optishop);
    color: var(--clr-optishop) !important;
    border:1px solid var(--clr-optishop);
}

/* Top Barre */
.top-barre{
    background: var(--clr-optigroup) !important;
    border-bottom:1px solid white; 
    padding:0.5rem 2rem;
}
.top-barre > div{
    padding-left: 5px;
}
.top-barre form{
    display: flex;
    flex-direction:flex-end;
}
.top-barre label{
    color: var(--clr-light);
    font-size: 1rem;
    font-weight:400;
    margin-right:5px;
}
.top-barre input{
    border: none;
    border-radius: 5px;
    max-width:150px;
    margin-right:5px;
}
.top-barre button{
    border-radius: 5px;
}
.top-barre .lang-switcher a {
    color: var(--clr-light);
    font-weight: 600;
    font-size: .95rem;
    padding: 0 .35rem;
    opacity: .7;
}
.top-barre .lang-switcher a.active,
.top-barre .lang-switcher a:hover { opacity: 1; }
.top-barre .lang-switcher span { color: rgba(255,255,255,.4); }

/* Header Light */
.header-light {
    border-bottom:1px solid white; 
    background:var(--clr-light);
    padding:0 2rem;
}

.header-light a.uk-logo img {
    width: 250px;
    height: auto;
    margin-top:5px;
    margin-bottom:5px;
}

.header-light ul.uk-navbar-nav{
    gap: 5px;
}

.header-light ul.uk-navbar-nav.nav-logos li a, .header-light a.mobile{
    text-align: center;
    font-weight:600;
    padding: 0.85rem 0.85rem;
}

.header-light ul.uk-navbar-nav.nav-logos li a .uk-navbar-subtitle{
    color: var(--clr-dark2);
    font-size: 1rem;
}

.header-light ul.uk-navbar-nav.nav-logos li a:hover{
    background: var(--clr-light2);
    color: var(--clr-dark) !important;
}

.header-light ul.uk-navbar-nav.nav-logos li a img {
    width: auto;
    height: 40px;
    margin-bottom:5px;

}

/* Navbar */
.navbar{
    background: var(--clr-light2);
}
.navbar ul{
    margin-bottom: 0;
}

.navbar .uk-navbar-nav{
    gap:5px;
}

.navbar nav a{
    min-height: 60px;
    color: var(--clr-dark);
    font-weight:bold;
    padding:0 0.5rem;
    font-size:1.05rem;
}

.navbar nav a i{
    font-size: 1.25rem;;
}

.navbar nav a:active, .navbar nav a:focus, .navbar nav a:hover{
    background: var(--clr-light);
}

.navbar nav a:hover i{
    color: var(--clr-dark2);
}

/* Slide */
.slide h1 {
    color: var(--clr-dark);
    font-size:3.5rem;
    font-weight: bold;
    margin-bottom: .75rem;
    text-transform: uppercase;
    text-shadow: 0px 0px 2px rgba(255,255,255,0.75);
}

.slide h2 {
    color: var(--clr-dark);
    font-size: 2rem;
    font-weight: 600;
    margin-top: .5rem;
    text-shadow: 0px 0px 2px rgba(255,255,255,0.75);
}

.slide .overlay-light {
    background: rgba(250, 250, 250, 0.65);
}

/* Search Domain */
.search-domain{
    border-top:1px solid var(--clr-optigroup);
    border-bottom:1px solid var(--clr-optigroup);
    background-color: var(--clr-light2);
    opacity: 1;
    background-size: 15px 15px;
    background-image: repeating-linear-gradient(45deg, #DAEAFE 0, #DAEAFE 1.5px, #f1f1f1 0, #f1f1f1 50%);
    padding-top:0rem;
}

.search-domain h3{
    color: var(--clr-optigroup);
    font-size: 1.4rem;
    font-weight: 700;
}

.search-domain input, .search-domain button{
    border-radius: 30px;
    font-weight: bold;
}

.search-domain button{
    padding:7px 25px;
}

.search-domain a i{
    font-size:1.25rem;
}

/* Apropos */
.apropos{
    padding:3rem 2rem;
    background:var(--clr-light);
}

.apropos h3{
    color: var(--clr-dark2);
    font-size: 1.75rem;
    font-weight: 700;
    margin-bottom: 1rem;
}

.apropos h3 img.logo{
    height:50px;
    width:auto;
}

.apropos .uk-slideshow-items{
    height: 100% !important;
}

.apropos .uk-slideshow-items img, .apropos .bloc-left{
    border-radius:20px 0 0 20px
}

.apropos .bloc-right{
    border-radius:0 20px 20px 0;
    border-right: 5px solid var(--clr-optinet);
    background: var(--clr-light2);
}

.apropos .bloc-right .flex-btn{
    margin-top:25px;
    display:flex;
    justify-content: left;
}

/* Services */
.services{
    padding:3rem 2rem;
    background:var(--clr-light);
}

.services h2{
    color: var(--clr-dark2);
    font-size: 2.5rem;
    font-weight: 700;
    margin-bottom: 3rem;
}

.services-net .uk-heading-line > ::after, .services-net .uk-heading-line > ::before{
    border-bottom: calc(.1px + .0em) solid var(--clr-dark2) !important;
    top: 32px;
}

.services .uk-card{
    border: none;
    border-radius: 20px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    box-shadow: 4px 4px 2px rgba(78, 78, 78, 0.2);
}

.services .uk-card:hover {
    transform: translateY(-5px);
    box-shadow: 6px 6px 4px rgba(78, 78, 78, 0.3);
}

.services .uk-card-media-top i{
    font-size: 3rem;
}

.services-net .uk-card-media-top i{
    color: var(--clr-optinet);
}

.services h3{
    color: var(--clr-dark);
    font-size: 1.5rem;
    font-weight: 600;
    margin-top: 1rem;
}

/* Réalisations */
.realisations{
    padding:3rem 2rem;
    background:var(--clr-light);
}

.realisations h2{
    color: var(--clr-optinet) !important;
    font-size: 2.5rem;
    font-weight: 700;
    margin-bottom: 3rem;
}

.realisations-net .uk-heading-line > ::after, .realisations-net .uk-heading-line > ::before {
    border-bottom: calc(.1px + .0em) solid var(--clr-optinet) !important;
    top:32px
}

.realisations .uk-card{
    border: none;
    border-radius: 20px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    /*box-shadow: 4px 4px 2px rgba(78, 78, 78, 0.2);*/
}

.realisations .uk-card-media-top img{
    box-shadow: 0px 0px 7px rgba(39, 39, 39, 0.5);
    border-radius: 20px;
    width:100%;
    height: auto;
    /*border: 1px solid var(--clr-optigroup);*/
}

.realisations .uk-card h3{
    color: var(--clr-dark);
    font-size: 1.5rem;
    font-weight: 600;
}

.realisations .uk-card-default:nth-child(even){
    background-color: white !important;
} 

/* Divisions */
.divisions{
    background: var(--clr-light2);
    text-align: center;
    padding:3rem 2rem;
}
.divisions .uk-card{
    transition: transform 0.3s ease;
    padding:10px;

}
.divisions .uk-card:hover{
    transform: translateY(-5px);
}
.divisions a{
    color:var(--clr-dark2);
    font-size:1.25rem;
    font-weight:600;
    text-transform: uppercase;
}
.divisions a:hover{
    color:var(--clr-dark);
}
.divisions a img{
    width:auto;
    height: 42px;
    margin-bottom:15px;
}

/* Footer */
.footer{
    padding:3rem 2rem;
    background: var(--clr-light);
}

.footer .uk-card{
    border-radius:20px;
    border-top: 3px solid var(--clr-optigroup);
    border-bottom: 3px solid var(--clr-optigroup);
    background:#FBFBFB;
}

.footer h3{
    color: var(--clr-optigroup);
    font-size:2.15rem;
    font-weight:bold;
}

.footer a{
    color: var(--clr-optigroup);
}

.footer a:hover{
    color: var(--clr-dark2);
}

.footer i{
    color: var(--clr-optinet) !important;
}

.footer .social-ico a i:hover{
    color: var(--clr-optigroup) !important;
}

.footer .logos-marques a{
    display:inline-block;
}

.footer .logos-marques img, .footer .logos-marques svg{
    height:25px;
    width:auto;
    display:block
}

/* Copyright */
.copyright{
    padding:10px;
    background: var(--clr-optigroup);
    border-top:1px solid white;
}
.copyright p{
    color:var(--clr-light);
}
.copyright a{
    font-weight:bold;
    color:white;
}
.copyright a:hover{
    font-weight:bold;
    color:#d4d4d4;
}

/* Modal Style */
.modal-style{
    background: rgb(255, 255, 255, 1);
}

.modal-style .uk-modal-dialog{
    background-color: transparent;
    width:auto;
    min-width:250px;
}

.modal-style .nav-logos li a{
    text-align: center;
    color:var(--clr-dark);
    font-size:1.1rem;
    font-weight:600;
    padding: 0.85rem 0.85rem;
    text-transform: uppercase;
}

.modal-style .nav-logos li a:hover{
    background: var(--clr-light);
    color: var(--clr-dark) !important;
}

.modal-style .nav-logos li a img {
    width: auto;
    height: 40px;
    margin-bottom:5px;

}

/* OFFCANVAS Style */
.offcanvas-style .uk-offcanvas-bar{
    background: var(--clr-dark);
    border-right:1px solid var(--clr-light);
}

.offcanvas-style .uk-offcanvas-bar .uk-nav a{
    color: var(--clr-light);
    font-size: 1.25rem;
    font-weight:600;
}

.offcanvas-style .uk-offcanvas-bar .uk-nav a i{
    color: var(--clr-optinet);
    font-size: 1.5rem;
}


/* Scroll Up */
#backToTop {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 99;
    font-size: 18px;
    border: none;
    outline: none;
    background-color: var(--clr-optigroup);
    color: white;
    cursor: pointer;
    padding: 15px;
    border-radius: 50%;
    transition: background-color 0.3s;
    border:1px solid var(--clr-light)
  }
  #backToTop:hover {
    background-color: var(--clr-dark2);
}
#backToTop i{
    width:22px;
    display: block;
}
  

@media screen and (max-width: 1200px){
    .header-dark a.uk-logo img {
        width: 175px;
        height: auto;
    }
}
    

@media screen and (max-width: 959px){
    .top-barre { padding: .4rem 1rem; }
    .top-barre input{
        width:100px;
    }

    .slide h1 {
        font-size:1.75rem;
    }

    .slide h2 {
        display:none;
    }

    .apropos, .services, .realisations, .footer{
        padding: 3rem 1rem;
    }
    
    .apropos .uk-slideshow-items img, .apropos .bloc-left{
        border-radius:20px 20px 0 0;
    }

    .apropos .bloc-right{
        border-radius:0 0 20px 20px;
        border-right:none
    }

    .apropos .bloc-right .flex-btn{
        justify-content: center;
    }

}
@media screen and (max-width: 639px) {
    .top-barre { padding: .35rem .75rem; }
    .header-light { padding: 0 .75rem; }
    .header-light a.uk-logo img { width: 180px; }
}